/*
 * Rez file for error strings (STR#)
 */

#include "Types.r"

#include "ErrorStrings.h"

#pragma Mark USER_ERROR

resource 'STR#' (USER_ERROR, "User Error Strings")
{
	{
			"Please, use a valid suffix (%d-%d chars)",
			"Text Creator must be exactly 4 chars",
			"Bin Type must be exactly 4 chars",
			"Bin Creator must be exactly 4 chars"
	}
};

#pragma Mark RES_MANAGER

resource 'STR#' (RES_MANAGER, "Resource Manager Strings")
{
	{
		/* [1] */
			"Can't get resource"
	}
};

#pragma Mark GENERIC

resource 'STR#' (GENERIC, "Generic Error Strings")
{
	{
			"I couldn't save your Preferences",
			"Can't get UPP (%02d)",
			"Can't make new alias",
			"Sorry, System 7 required",
			"Can't install AE Handler",

			"This disk is bad",
			"Can't read Internet Preferences.\nMake sure Internet Config is installed",
			"Can't read Fetch Prefs.\nMake sure they are in your Prefs folder",

	}
};

