

type gc_status =
   { fragments         : int,
     free_blocks       : int,
     free_words        : int,
     heap_chunks       : int,
     heap_size         : int,
     largest_free      : int,
     live_blocks       : int,
     live_words        : int,
     major_collections : int,
     major_words       : int,
     minor_collections : int,
     minor_words       : int,
     promoted_words    : int
   }
prim_val gc_stat : unit -> gc_status = 1 "gc_stat"
;

type gc_control =
   { major_heap_increment : int,
     minor_heap_size      : int,
     percent_free         : int,
     verb_gc              : bool
   }
prim_val gc_get : unit -> gc_control = 1 "gc_get"
prim_val gc_set : gc_control -> unit = 1 "gc_set"
;
