local
in
datatype token =
    Tident of string
  | Tchar of char
  | Tstring of string
  | Taction of Syntax.location
  | Trule
  | Tparse
  | Tand
  | Tequal
  | Tend
  | Tor
  | Tunderscore
  | Teof
  | Tlbracket
  | Trbracket
  | Tstar
  | Tmaybe
  | Tplus
  | Tlparen
  | Trparen
  | Tcaret
  | Tdash
end;

val lexer_definition :
  (Lexing.lexbuf -> token) -> Lexing.lexbuf -> Syntax.lexer_definition;
