#include "color.inc"

#global_settings {
  assumed_gamma 2.2
}

camera {
  orthographic
  location <3, 3, -10>
  right 3*4/3*x
  up 3*y
  look_at <0, 0, 0>
}

light_source { <10, 5, -10> color C_White }
light_source { <-10, 10, -10> color C_White }

polygon { 5, <-1, -1>, <1, -1>, <1, 1>, <-1, 1>, <-1, -1>
  texture { T_White }
  rotate 90*x
  scale 5
  translate -y
}

