#include	"Conversions.h"

//#pragma smart_code

//char *NumToHex2(unsigned long n, short digits);

//const char *conv = "0123456789ABCDEF";

Ptr MemoryToHexText(long *p, UInt32 len, Ptr text)
{
enum {
kLongLen = 8
};
const char *conv = "0123456789ABCDEF";
int	i;
long	n = *p++;

for ( ; len > 0; n = *p++, len -= sizeof(long)) {
	text += kLongLen;
	for (i = kLongLen; i != 0; n >>= 4, --i)
		*--text = conv[n & 0xf];
	text += kLongLen;
	}
return text;
}

Ptr ShortToHexText(short n, Ptr text)
{
enum {
kShortLen = 4
};
const char *conv = "0123456789ABCDEF";
register int	i;

text += kShortLen;
for (i = kShortLen; i != 0; n >>= 4, --i)
	*--text = conv[n & 0xf];
text += kShortLen;
return text;
}

Ptr LongToHexText(long n, Ptr text)
{
enum {
kLongLen = 8
};
const char *conv = "0123456789ABCDEF";
register int	i;

text += kLongLen;
for (i = kLongLen; i != 0; n >>= 4, --i)
	*--text = conv[n & 0xf];
text += kLongLen;
return text;
}

void ShortToHexString(short n, Str255 out)
{
const char *conv = "0123456789ABCDEF";
register int	i;

*out++ = 4;
out += 4;
for (i = 4; i != 0; n >>= 4, --i)
	*--out = conv[n & 0xf];
return;
}

void ShortToOctString(short n, Str255 out)
{
const char *conv = "01234567";
register int	i;

*out++ = 6;
out += 6;
for (i = 5; i != 0; n >>= 3, --i)
	*--out = conv[n & 0x7];
*--out = conv[n & 0x1];
return;
}

void ShortToBinString(short n, Str255 out)
{
const char *conv = "01";
register int	i;

*out++ = 16;
out += 16;
for (i = 16; i != 0; n >>= 1, --i)
	*--out = conv[n & 0x1];
return;
}

void HexStringToShort(ConstStr255Param in, short *p)
{
register int	i;
register short tmp, ris = 0;

i = *in++;
i--;
i <<= 2;
for ( ; i >= 0; i -= 4 ) {
	tmp = *in++;
	tmp -= 48;
	if (tmp > 9)
		tmp -= 7;
	tmp <<= i;
	ris += tmp;
	}
*p = ris;
return;
}

void OctStringToShort(ConstStr255Param in, short *p)
{
register short tmp, i, ris = 0;

i = *in++;
i--;
tmp = i;
i <<= 1;
i += tmp;
for ( ; i >= 0; i -= 3 ) {
	tmp = *in++;
	tmp -= 48;
	tmp <<= i;
	ris += tmp;
	}
*p = ris;
return;
}

void BinStringToShort(ConstStr255Param in, short *p)
{
register int	i;
register short tmp, ris = 0;

i = *in++;
i--;
for ( ; i >= 0; i-- ) {
	tmp = *in++;
	tmp -= 48;
	tmp <<= i;
	ris |= tmp;
	}
*p = ris;
return;
}

