/*
Copyright  1993-1995 by Fabrizio Oddone
         
This source code is distributed as freeware: you can copy, exchange, modify this
code as you wish. You may include this code in any kind of application: freeware,
shareware, or commercial, provided that full credits are given.
You may not sell or distribute this code for profit.
*/
#define SystemSevenOrLater 1

#include	"Types.r"
#include	"BalloonTypes.r"

#include "StdAlert.r"

#include	"FabLibResIDs.h"


resource 'STR ' (kSTR_EMAILADDR, purgeable) {
	"Fabrizio Oddone <fab@kagi.com>"
};

resource 'STR ' (kSTR_MAILTOURL, purgeable) {
	"mailto:fab@kagi.com"
};

resource 'STR ' (kSTR_WWWURLHOME, purgeable) {
	"http://www.kagi.com/authors/fab/"
};

resource 'STR ' (kSTR_WWWURLWHATSNEW, purgeable) {
	"http://www.kagi.com/authors/fab/whatsnew.html"
};

resource 'STR ' (kSTR_WWWURLREGISTERONLINE, purgeable) {
	"http://www.kagi.com/authors/fab/howtoreg.html"
};



resource 'hmnu' (kMENU_HCopyWebLocation, purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

		HMStringResItem {		/* item -1:Missing menu items */
			1200,3,
			0,0,
			0,0,
			0,0
		},
	{

		HMSkipItem { }
	}
};

resource 'hmnu' (kMENU_HVisitWebLocation, purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

		HMStringResItem {		/* item -1:Missing menu items */
			1200,5,
			0,0,
			0,0,
			0,0
		},
	{

		HMSkipItem { }
	}
};

#define NumTextLines		4

resource 'ALRT' (kALRT_FRONTIERSCRIPTERROR, purgeable) {
	{AlertTop, AlertLeft, AlertBottom, AlertRight},
	kALRT_FRONTIERSCRIPTERROR,
	beepStages,
	alertPositionMainScreen
};

resource 'DITL' (kALRT_FRONTIERSCRIPTERROR, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{ButtonTop, ActionButtonLeft, ButtonBottom, ActionButtonRight},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{TextTop, TextLeft, TextBottom, TextRight},
		StaticText {
			disabled,
			"^0"
		}
	}
};

