/*
	HASLongControls.h from Hsoi's App Shell 1995-1997 John C. Daub.  All rights reserved.
	
	This is the corresponding header file for HASLongControls.c.  See HASLongControls.c
	for more information about copyrights, usage, etc.
*/


#if defined(powerc) || defined (__powerc)
#pragma options align=mac68k
#endif


// long control auxiliary record used for keeping long settings (e.g. scroll bars)
// a handle to this record is stored in the contrlRfCon field of the control record
struct	LCAuxRec
{
	long	value;	// long value
	long	min;	// long min
	long	max;	// long max
};
typedef struct LCAuxRec LCAuxRec, *LCAuxPtr, **LCAuxHandle;




OSErr			HsoiLCAttach( ControlRef );
void			HsoiLCDetach( ControlRef );
void			HsoiLCSetValue( ControlRef, long );
void			HsoiLCSetMin( ControlRef, long );
void			HsoiLCSetMax( ControlRef, long );
long			HsoiLCGetValue( ControlRef );
long			HsoiLCGetMin( ControlRef );
long			HsoiLCGetMax( ControlRef );
void			HsoiLCSynch( ControlRef );


#if defined(powerc) || defined (__powerc)
#pragma options align=reset
#endif
