/*
	HASMenus.h from Hsoi's App Shell.  1995-1997 John C. Daub.  All rights reserved.
	
	This is the corresponding header file to HASMenus.c
*/

#ifndef __MENUS__
#include <Menus.h>
#endif

//========================
// Constants
//========================


//========================
// Resource IDs
//========================


//========================
// #defines
//========================



//========================
// Function Prototypes
//========================

short			HsoiFindMenuItemText( MenuRef, ConstStr255Param );
Boolean			HsoiEqualColor( const RGBColor *, const RGBColor * );
void			HsoiMaintainFontMenu( void );
void			HsoiDoMenuCommand( long );
void			HsoiAdjustMenus( void );
void			HsoiSetUpMenus( void );
void			HsoiAdjustMenusNoWindow( WindowRef window );
void			HsoiAdjustMenusHelpDialog( WindowRef window );
void			HsoiAdjustMenusDialog( WindowRef window );
void			HsoiAdjustMenusDocumentWindow( WindowRef window );
void			HsoiAdjustMenusClipboardWindow( WindowRef window );
void			HsoiAdjustMenusFindDialog( WindowRef window );