/*	Rez file for balloon document "MacGzip Balloons" */
/*	Created August 30, 1995 */

#include "Types.r"
#include "BalloonTypes.r"

resource 'STR#' (1000, "Balloon Help String for menus") {
	{
			"Set gzip standard options",
			"Set compression options",
			"Set de- compression options",
			"Destination folder and Drag&Drop Folder setup",
			"Other options",
/* 5 */			
			"Display an alert asking what to do",
			"Automatic- ally select MacBinary",
			"Discard Resource Fork without asking first. "
			"This can be dangerous!",
			"Skip file silently",
			
			
			"I will display a dialog asking what to do",
/* 10 */			
			"I will use MacBinary II on these files",
			"I will discard Resource Fork. I hope you know what you're doing",
			"I will skip these files",

			"Convert end of lines to Unix style",
			"Raw data",
/* 15 */
			"MacBinary II translation. You will get a file equivalent"
			" to first translating the file to MacBinary and then gziping it",
			
			"By default, I will convert end of lines to Unix style",
			"By default, I won't make any translation",
			"By default, I will use MacBinary",
			
			"Convert end of lines to Unix style. "
			"Setting this as default is dangerous!",
/* 20 */
			"Raw data",
			
			"Try to compress any file (this does not apply to "
			"files opened using \"Expand to\" menu)",
			"Try to decompress any file (this does not apply to "
			"files opened using \"Compress to\" menu)",
			"Try to decompress only gzip/compress/zip files "
			"following their Type",
			
			"Open a file and use the default operation",
/* 25 */
			"Compress a file prompting for destination",
			"Expand a file prompting for destination",
			"Set preferences",
			"Cancel any operation and exit",
			
			"You can't open any file while MacGzip is working. "
			"Drag&Drop the file on MacGzip finder icon instead",
/* 30 */
			"Sorry, you will have to wait for a little. You can't "
			"change the settings while MacGzip is working on a file",
			
			"There is nothing to edit"
	}
};
resource 'STR#' (1001, "Balloon Help String for buttons") {
	{
		"Save preferences and exit this dialog",
		"Discard changes",
		"Set the values on this category to their defaults",
		"Turn Balloon Help on",
		"Turn Balloon Help off",
/* 5 */
		"Force compression or decompression even if the "
        "corresponding  file  already exists (-f). This is "
        "not checked, so I will prompt you for a new name in "
        "that case",
        
		"Force compression or decompression even if the "
        "corresponding  file  already exists (-f). I will "
        "overwrite the existent file/empty folder",
        
        "Use this suffix instead of .gz (-S). Not recommended",
        "This is the custom suffix",
        "If you check this, the custom suffix only will be used "
        "when decompressing. This can be useful to .zip files",
/* 10 */
		"This is grayed because 'Use custom suffix' is not checked",
		"I will use the custom suffix only when decompressing",
		
		"Regulate the speed of compression using the specified "
        "digit, where 1 indicates the fastest compression method "
        "(less compression) and 9 indicates the slowest compression "
        "method (best compression)",
        
        "Increase compression level",
        "Decrease compression level",
/* 15 */        
        "(-n) When compressing, do not save the original file name "
        "and time stamp by default. When "
        "decompressing, do not restore the original file name if "
        "present and do not restore the original "
        "time stamp if present. This option is the default when decompressing",

		"(-N) When compressing, always save the original file name"
        " and time stamp; this is the default. When decompressing,"
        " restore the original file name and time stamp if"
        " present.",
        
        
        "You can use 'a' to force 'ASCII', 'b' to force 'binary' and 'm' to"
        " force 'MacBinary II'; overriding other selections",
        "Check this if you want to use the keyboard to select a translation"
        " when droping items on MacGzip",
        
		"Check this if you have Internet Config installed",
/* 20 */
        "Use Internet Config to select translation when compressing",
		"Select 'ASCII' for all 'TEXT' files, regardless of what IC says",
		"Never select MacBinary, regardless of what IC says",
		"This is grayed because 'Use Internet Config' is not checked",
		
		"Select 'ASCII' for all 'TEXT' files, no matter what's the default",
/* 25 */
		"Default mode (when everything else fails)",
		"Check this if you have a 'Fetch Prefs' file in your Prefs folder"
		" and you want to use it to select mode and suffix mapping",
		"I will use 'Fetch Prefs' to select mode and suffix mapping. You"
		" should install Internet Config",
		"Check this if you want always to try MacBinary first",
		"Uncheck this if you don't want try MacBinary",
/* 30 */
		"Default Creator for text files",
		"Default Type for binary files",
		"Default Creator for binary files",
		
		"Check this if you want to keep input files, otherwise they "
		"will be deleted upon successfully completion of process",
		
		"Input files won't be deleted",
/* 35 */
		"Play a sound upon successfully completion of process",
		"Check this if you want to exit after process the files "
		"Otherwise MacGzip won't exit till you quit it (except if "
		"it was started with some work to do)",
		
		"MacGzip will exit upon completion of process",
		
        "Check this if you want to use the keyboard to select an operation"
        " when droping items on MacGzip",

		"You can use 'opt' to force 'gzip', 'shift' to force 'gunzip' and 'ctrl' to"
        " force prompt of output files",
/* 40 */
		"Reset progress window position. Useful if you have changed your monitor(s)",
		
		"Create here any output file. If the file already exists, I will "
		"prompt for another name or I will overwrite it (depending on the "
		"other preferences)"

	}
};








