/*********************************************************************
Project	:	MacPerl				-	Real Perl Application
File		:	MPEditor.h			-	Delegate to external editor
Author	:	Matthias Neeracher

Language	:	MPW C

$Log: MPGlobals.h,v $
*********************************************************************/

#ifndef __MPEDITOR__
#define __MPEDITOR__

#include <Types.h>
#include <Files.h>
#include <AppleEvents.h>

extern OSErr	 		FindHelper(StringPtr helperName, ICAppSpecHandle * helperHdl, Boolean launch);
extern void 			InitExternalEditor();
extern void 			CloseExternalEditor();
extern Boolean			HasExternalEdits();
extern void				GetExternalEditorName(StringPtr name);
extern Boolean			GetExternalEditorDocumentName(StringPtr name);
extern OSErr			EditExternal(FSSpec * spec);
extern OSErr			StartExternalEditor(Boolean front);
extern OSErr 			UpdateExternalEditor(Boolean front);
extern pascal OSErr	DoExternalEditor(const AppleEvent *, AppleEvent *, long);

#endif