/*********************************************************************
Project	:	SubLaunch		-	Call ToolServer
File		:	SubLaunch.h		-	Interface
Author	:	Matthias Neeracher
Started	:	06Dec91								Language	:	MPW C/C++
Modified	:	06Dec91	MN	
				15Nov92	MN	FSp2FullPath
Last		:	15Nov92

Copyright (c) 1991, 1992 Matthias Neeracher

	You may distribute under the terms of the Perl Artistic License,
	as specified in the README file.

*********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

#include <Types.h>
#include <Files.h>

/* Create a temporary file in the temp folder. 
*/
OSErr	FSpMakeTempFile(FSSpec * desc);

/* Execute the command. Any of the files may be set to NULL */
OSErr SubLaunch(char * commandline, FSSpec * input, FSSpec * output, FSSpec * error, long * status);


#if USESROUTINEDESCRIPTORS
extern RoutineDescriptor	uSubLaunchIdle;
#else
pascal Boolean SubLaunchIdle(EventRecord * ev, long * sleep, RgnHandle * rgn);
#define uSubLaunchIdle SubLaunchIdle
#endif

#ifdef __cplusplus
}
#endif
