#!/bin/sh

stdlib=LIBDIR
mosmlbin=BINDIR
includes=""
options=""

while : ; do
  case $1 in
    "")
      exec $mosmlbin/camlrunm $stdlib/mosmltop -stdlib $stdlib $includes $options;;
    -I|-include)
      includes="$includes -I $2"
      shift;;
    -P|-perv)
      options="$options -P $2"
      shift;;
    -imptypes)
      options="$options -imptypes"
      ;;
    -valuepoly)
      options="$options -valuepoly"
      ;;
    -stdlib)
      stdlib=$2
      shift;;
    -*)
      echo "Unknown option \"$1\", ignored" >&2;;
    *)
      exec $mosmlbin/camlrunm $stdlib/mosmltop -stdlib $stdlib $includes $options $* ;;
  esac
  shift
done


