#global_settings {
  assumed_gamma 2.2
}

//#declare Printer = 1
 
#ifdef (Printer)

  #background { color rgb<1, 1, 1> }

#else
  
  #background { color rgb<0, 1, 1> }

#end

#declare C_Black       = color rgb<0, 0, 0>

#declare C_White       = color rgb<1, 1, 1>

#declare C_White_trans = color rgbt<1, 1, 1, 0.7>

#declare C_Red         = color rgb<1, 0, 0>

#declare C_Green       = color rgb<0, 1, 0>

#declare C_Blue        = color rgb<0, 0, 1>

#declare C_Yellow      = color rgb<1, 1, 0>

#declare T_White = texture {
  pigment { C_White }
}

#declare T_White_trans = texture {
  pigment { C_White_trans }
}

#declare T_Red = texture {
  pigment { C_Red }
  finish { phong 1 phong_size 100 }
}

#declare T_Red_trans = texture {
  pigment { C_Red filter 0.7 }
  finish { phong 1 phong_size 100 }
}

#declare T_Green = texture {
  pigment { C_Green }
  finish { phong 1 phong_size 100 }
}

#declare T_Green_trans = texture {
  pigment { C_Green filter 0.7 }
  finish { phong 1 phong_size 100 }
}

#declare T_Blue = texture {
  pigment { C_Blue }
  finish { phong 1 phong_size 100 }
}

