/* Smoke for Magic Lamp - Eduard Schwan */
#declare Smoke_Shape =
  cylinder { 0.0*y, 1*y, 1  scale <1,3,1>  hollow } // clip just inside of it
/*
intersection
{
  torus { 1, 0.85 inverse} // hyperbola pointing up and out
  cylinder { 0.1*y, 1*y, 1 } // clip just inside of it
//  cylinder { -2*z, 2*z, 0.2 translate 1.1*y rotate 10*y inverse } // snip off top
  hollow
  scale <2.7, 1.8, 3.0> // cylindrical
  translate -0.1*y
}
*/

#declare Smoke_TurbA = 0.2
#declare Smoke_Texture =
texture
{
  pigment { colour Clear }
  finish { refraction 1 }
  halo
  {
    linear
    spherical_mapping
//    cylindrical_mapping
    emitting
    turbulence <0.4,0.8,0.4>
    omega 0.8 lambda 2.9
    octaves 3
    colour_map
    {
       [0.4 color rgbt <0,0,0,1> ]
       [0.5 color rgbt <1.0,0.6,0.5,0.2>]
       [0.6 color rgbt <0.6,0.6,0.9,0.9>]
       [0.7 color rgbt <0.6,0.9,0.6,0.3>]
       [0.8 color rgbt <1.0,0.6,0.6,0.0>]
       [0.9 color rgbt <1.0,1.0,1.0,0.5>]
    }
  }
  translate 0.5*y
}

/*  -- old style
texture
{
  pigment
  {
    spiral1 2 rotate 90*x
    turbulence <Smoke_TurbA, 0.0, Smoke_TurbA> lambda 2.6
    color_map
    {
      [0.00 Clear]
      [0.60 Clear]
      [0.70 White filter 0.7]
      [0.80 rgbf <1.0, 1.0, 0.6, 0.7>] // bright yellow
      [0.85 rgbf <0.5, 0.5, 1.0, 0.7>] // light blue
      [0.90 White filter 0.8]
      [0.95 Clear]
      [1.00 Clear]
    }
  }
  finish { ambient 1 diffuse 0 }
}
-- */
