#
# Windowsystem dependent part of Stack browser window
#
import sys
import TwitCore

class StackBrowser(TwitCore.StackBrowser):
	"""The stack-browser dialog - Window-dependent part"""
	
	def open(self):
		"""Open window, create widgets"""
		pass

		self.mi_open()
		
	def setsource(self, msg):
		"""Set sourcewindow to display self.cur_source, or msg if None"""
		if self.cur_source:
			pass # Show current source, fill source window
		else:
			pass # Show msg, clear source window
		
	def source_setbreaks(self, list):
		"""Show breakpoints at linenumbers in list"""
		pass

	def source_setline(self, lineno, icon):
		"""Flag line 'lineno' with icon 'icon'"""
		pass
		
	def stack_setcontent(self, names, locations):
		"""Load stackframebrowser with names and locations"""
		pass

	def stack_select(self, number):
		"""Select stackframe number (or None)"""
		pass

	def setvars(self):
		"""Load self.cont_varnames, self.cont_varvalues into browser"""
		pass 
		
	def setexception(self, name, value):
		"""Show exception (name, value) to user"""
		if name == None:
			pass # Set no exception
		else:
			pass # set exception
		if value == None:
			pass # Set value
		else:
			pass # Set no value
			
	def setprogramstate(self, msg):
		"""Show program state 'msg' to user"""
		pass
			
	def set_var_buttons(self):
		"""Update buttons to show self.show_complex and self.show_system
		pass

	def close(self):
		"""Close window"""
		self.parent.module_dialog = None
		pass # close window, widgets, etc.

