/*
	HASPreferences.h from Hsoi's App Shell 1995-1997 John C. Daub.  All rights reserved.
	
	This is the corresponding header file to HASPreferences.c
*/

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif


enum {
	kInit		=		100,
	kTerm		=		101
};

enum {
	kCurrentPopupItem =	0		// *shrug*  it's what Norstad had
};



/* This is the private data for a popup menu control using CDEF 63.
   It's documented in IM6:Compatibility, and in NIM:Toolbox Essentials.

	now, i took this from the NewsWatcher source code (can't remember
	which version).  but, this really isn't necessary to have in here
	since the PopupPrivateData struct is now defined in Controls.h.
	(and it's definition is slightly different than this: MenuHandle
	instead of MenuRef, SInt16 instead of short, and no mPrivate.)
	
	but here's the kicker....this will all break (using this one or
	the one in Controls.h) under Copland (i.e. STRICT_CONTROLS).
	
	I dunno what Apple is planning on doing for popup menus under
	Copland, but we'll just have to wait and see and use this
	"old" way in the meantime.
	   
typedef struct {
	MenuRef mHandle;		// Handle to menu
	short mID;				// Menu ID
	char mPrivate;			// Private data of varying length
} popupPrivateData;
*/




void			HsoiPaintColorRect( DialogRef, HASPreferences * );
void			HsoiFrameColorRect( DialogRef, HASPreferences * );
static void 	HsoiGeneralPrefs( HASPreferences *, DialogRef, short );
static void 	HsoiTextPrefs( HASPreferences *, DialogRef, short );
static void 	HsoiNMPrefs( HASPreferences *, DialogRef, short );
pascal Boolean 	hsoiPrefsDialogFilter( DialogRef, EventRecord *, short * );
void			HsoiDoPrefsDialog( void );
void			HsoiSetPrefsRadioButton( DialogRef, short );
void			HsoiInitPrefs( void );
void 			HsoiLocatePrefsFile( void );
Boolean			HsoiReadPrefs( void );
void			HsoiWritePrefs( void );
void			HsoiDoRegistration( void );
static short	HsoiFontIDFromPopup( DialogRef, short );
short 			HsoiSetPopupValue (ControlRef, Str255, Boolean );
void			HsoiGetPopupPString (ControlRef, short, Str255 );
void 			HsoiSetPopupItemStyle (ControlRef, short, short );
short 			HsoiTrackPopup(ControlRef, Point, Str255, Boolean );


#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif
